summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
l---------app-admin/ulogd/files1
-rw-r--r--app-admin/ulogd/ulogd-2.0.0_beta3.ebuild76
-rw-r--r--app-admin/ulogd/ulogd-9999.ebuild88
-rw-r--r--net-analyzer/netxms/netxms-9999.ebuild6
4 files changed, 167 insertions, 4 deletions
diff --git a/app-admin/ulogd/files b/app-admin/ulogd/files
new file mode 120000
index 0000000..dde5a02
--- /dev/null
+++ b/app-admin/ulogd/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/app-admin/ulogd/files \ No newline at end of file
diff --git a/app-admin/ulogd/ulogd-2.0.0_beta3.ebuild b/app-admin/ulogd/ulogd-2.0.0_beta3.ebuild
new file mode 100644
index 0000000..fb60d25
--- /dev/null
+++ b/app-admin/ulogd/ulogd-2.0.0_beta3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/ulogd/ulogd-2.0.0_beta2.ebuild,v 1.2 2009/02/09 09:36:03 angelos Exp $
+
+EAPI="1"
+
+MY_P=${P/_/}
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="A userspace logging daemon for netfilter/iptables related logging"
+HOMEPAGE="http://netfilter.org/projects/ulogd/index.html"
+SRC_URI="http://ftp.netfilter.org/pub/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mysql postgres sqlite3 pcap doc"
+
+RDEPEND="net-firewall/iptables
+ net-libs/libnfnetlink
+ net-libs/libnetfilter_log
+ net-libs/libnetfilter_conntrack
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-server )
+ sqlite3? ( dev-db/sqlite:3 )
+ pcap? ( net-libs/libpcap )"
+
+DEPEND="${RDEPEND}
+ sys-devel/autoconf:2.5
+ doc? (
+ app-text/linuxdoc-tools
+ app-text/texlive-core
+ )"
+
+src_compile() {
+ econf \
+ $(use_with mysql) \
+ $(use_with postgres pgsql) \
+ $(use_with sqlite3) \
+ $(use_with pcap)
+
+ emake || die "emake failed"
+
+ if use doc ; then
+ # build extra documentation files (.ps, .txt, .html, .dvi)
+ emake -C doc || die "emake for docs failed"
+ fi
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+
+ doinitd "${FILESDIR}"/ulogd || die "doinitd failed"
+
+ insinto /etc
+ doins ulogd.conf || die "ulogd.conf installation failed"
+
+ dodoc AUTHORS README
+
+ if use doc ; then
+ dohtml doc/ulogd.html
+ dodoc doc/ulogd.dvi
+ dodoc doc/ulogd.txt
+ dodoc doc/ulogd.ps
+ fi
+
+ use mysql && dodoc doc/mysql-ulogd2.sql
+ use postgres && dodoc doc/pgsql-ulogd2.sql
+ use sqlite3 && dodoc doc/sqlite3.table
+
+ # install logrotate config
+ insinto /etc/logrotate.d
+ newins ulogd.logrotate ulogd || die "logrotate config failed"
+
+ doman ulogd.8 || die
+}
diff --git a/app-admin/ulogd/ulogd-9999.ebuild b/app-admin/ulogd/ulogd-9999.ebuild
new file mode 100644
index 0000000..05fb32d
--- /dev/null
+++ b/app-admin/ulogd/ulogd-9999.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/ulogd/ulogd-2.0.0_beta2.ebuild,v 1.2 2009/02/09 09:36:03 angelos Exp $
+
+inherit subversion
+
+EAPI="1"
+
+MY_P=${P/_/}
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="A userspace logging daemon for netfilter/iptables related logging"
+HOMEPAGE="http://netfilter.org/projects/ulogd/index.html"
+SRC_URI=""
+
+ESVN_REPO_URI="https://svn.netfilter.org/netfilter/branches/ulog/ulogd2/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mysql postgres sqlite3 pcap doc"
+
+RDEPEND="net-firewall/iptables
+ net-libs/libnfnetlink
+ net-libs/libnetfilter_log
+ net-libs/libnetfilter_conntrack
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-server )
+ sqlite3? ( dev-db/sqlite:3 )
+ pcap? ( net-libs/libpcap )"
+
+DEPEND="${RDEPEND}
+ sys-devel/autoconf:2.5
+ doc? (
+ app-text/linuxdoc-tools
+ app-text/texlive-core
+ )"
+
+src_unpack(){
+ subversion_src_unpack
+}
+
+src_compile() {
+ econf \
+ $(use_with mysql) \
+ $(use_with postgres pgsql) \
+ $(use_with sqlite3) \
+ $(use_with pcap)
+
+ emake || die "emake failed"
+
+ if use doc ; then
+ # build extra documentation files (.ps, .txt, .html, .dvi)
+ emake -C doc || die "emake for docs failed"
+ fi
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+
+ doinitd "${FILESDIR}"/ulogd || die "doinitd failed"
+
+ insinto /etc
+ doins ulogd.conf || die "ulogd.conf installation failed"
+
+ dodoc AUTHORS README
+
+ if use doc ; then
+ dohtml doc/ulogd.html
+ dodoc doc/ulogd.dvi
+ dodoc doc/ulogd.txt
+ dodoc doc/ulogd.ps
+ fi
+
+ use mysql && dodoc doc/mysql-ulogd2.sql
+ use postgres && dodoc doc/pgsql-ulogd2.sql
+ use sqlite3 && dodoc doc/sqlite3.table
+
+ # install logrotate config
+ insinto /etc/logrotate.d
+ newins ulogd.logrotate ulogd || die "logrotate config failed"
+
+ doman ulogd.8 || die
+}
diff --git a/net-analyzer/netxms/netxms-9999.ebuild b/net-analyzer/netxms/netxms-9999.ebuild
index 86f9a22..e045fb0 100644
--- a/net-analyzer/netxms/netxms-9999.ebuild
+++ b/net-analyzer/netxms/netxms-9999.ebuild
@@ -9,7 +9,7 @@ HOMEPAGE="http://netxms.org/"
SRC_URI=""
RESTRICT="mirror"
-IUSE="server client console agent static-agent ipso-agent nxhttpd mdebug sqlite odbc oracle mysql pgsql openssl gd unstable debug"
+IUSE="server client console +agent nxhttpd mdebug sqlite odbc oracle mysql pgsql openssl gd unstable debug"
SLOT=""
LICENSE="GPL-2"
KEYWORDS=""
@@ -29,7 +29,7 @@ DEPEND="${COMMON_DEPEND}
postgres? ( virtual/postgresql-base )
console? ( x11-libs/wxGTK )
gd? ( media-libs/gd )
- sqlite? ( >=dev-db/sqlite-3.4.1 )
+ sqlite? ( >=dev-db/sqlite-3 )
"
S="${WORKDIR}/${P/_/}"
@@ -46,8 +46,6 @@ src_compile() {
$(useq client && echo --with-client ) \
$(useq agent && echo --with-agent ) \
$(useq console && echo --with-console ) \
- $(useq static-agent && echo --with-static-agent ) \
- $(useq ipso-agent && echo --with-ipso-agent ) \
$(useq nxhttpd && echo --with-nxhttpd ) \
$(useq mdebug && echo --with-mdebug ) \
$(useq sqlite && echo --with-sqlite ) \